AWS IoT Device SDK C++ v2: Aws::Greengrass::CreateDebugPasswordResponse Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
Aws::Greengrass::CreateDebugPasswordResponse Class Reference

`#include <GreengrassCoreIpcModel.h>`

Inheritance diagram for Aws::Greengrass::CreateDebugPasswordResponse:

## Public Member Functions
| CreateDebugPasswordResponse () noexcept
| CreateDebugPasswordResponse (const CreateDebugPasswordResponse &)=default
void | SetPassword (const Aws::Crt::String &password) noexcept
Aws::Crt::Optional< Aws::Crt::String > | GetPassword () noexcept
void | SetUsername (const Aws::Crt::String &username) noexcept
Aws::Crt::Optional< Aws::Crt::String > | GetUsername () noexcept
void | SetPasswordExpiration (const Aws::Crt::DateTime &passwordExpiration) noexcept
Aws::Crt::Optional< Aws::Crt::DateTime > | GetPasswordExpiration () noexcept
void | SetCertificateSHA256Hash (const Aws::Crt::String &certificateSHA256Hash) noexcept
Aws::Crt::Optional< Aws::Crt::String > | GetCertificateSHA256Hash () noexcept
void | SetCertificateSHA1Hash (const Aws::Crt::String &certificateSHA1Hash) noexcept
Aws::Crt::Optional< Aws::Crt::String > | GetCertificateSHA1Hash () noexcept
void | SerializeToJsonObject (Aws::Crt::JsonObject &payloadObject) const noexcept override
bool | operator< (const CreateDebugPasswordResponse &) const noexcept
Public Member Functions inherited from Aws::Eventstreamrpc::AbstractShapeBase
| AbstractShapeBase () noexcept
virtual | ~AbstractShapeBase () noexcept

## Static Public Member Functions
static void | s_loadFromJsonView (CreateDebugPasswordResponse &, const Aws::Crt::JsonView &) noexcept
static Aws::Crt::ScopedResource< AbstractShapeBase > | s_allocateFromPayload (Aws::Crt::StringView, Aws::Crt::Allocator *) noexcept
static void | s_customDeleter (CreateDebugPasswordResponse *) noexcept
Static Public Member Functions inherited from Aws::Eventstreamrpc::AbstractShapeBase
static void | s_customDeleter (AbstractShapeBase *shape) noexcept

## Static Public Attributes
static const char * | MODEL_NAME = "aws.greengrass#CreateDebugPasswordResponse"

## Protected Member Functions
Aws::Crt::String | GetModelName () const noexcept override

## Additional Inherited Members
Protected Attributes inherited from Aws::Eventstreamrpc::AbstractShapeBase
Crt::Allocator * | m_allocator

## Constructor & Destructor Documentation

## ◆ CreateDebugPasswordResponse() [1/2]

Aws::Greengrass::CreateDebugPasswordResponse::CreateDebugPasswordResponse | ( |  | ) |
| inlinenoexcept

## ◆ CreateDebugPasswordResponse() [2/2]

Aws::Greengrass::CreateDebugPasswordResponse::CreateDebugPasswordResponse | ( | const CreateDebugPasswordResponse & |  | ) |
| default

## Member Function Documentation

## ◆ GetCertificateSHA1Hash()

Aws::Crt::Optional< Aws::Crt::String > Aws::Greengrass::CreateDebugPasswordResponse::GetCertificateSHA1Hash | ( |  | ) |
| inlinenoexcept

## ◆ GetCertificateSHA256Hash()

Aws::Crt::Optional< Aws::Crt::String > Aws::Greengrass::CreateDebugPasswordResponse::GetCertificateSHA256Hash | ( |  | ) |
| inlinenoexcept

## ◆ GetModelName()

Aws::Crt::String Aws::Greengrass::CreateDebugPasswordResponse::GetModelName | ( |  | ) | const
| overrideprotectedvirtualnoexcept

Implements Aws::Eventstreamrpc::AbstractShapeBase.

## ◆ GetPassword()

Aws::Crt::Optional< Aws::Crt::String > Aws::Greengrass::CreateDebugPasswordResponse::GetPassword | ( |  | ) |
| inlinenoexcept

## ◆ GetPasswordExpiration()

Aws::Crt::Optional< Aws::Crt::DateTime > Aws::Greengrass::CreateDebugPasswordResponse::GetPasswordExpiration | ( |  | ) |
| inlinenoexcept

## ◆ GetUsername()

Aws::Crt::Optional< Aws::Crt::String > Aws::Greengrass::CreateDebugPasswordResponse::GetUsername | ( |  | ) |
| inlinenoexcept

## ◆ operator<()

bool Aws::Greengrass::CreateDebugPasswordResponse::operator< | ( | const CreateDebugPasswordResponse & |  | ) | const
| noexcept

## ◆ s_allocateFromPayload()

Aws::Crt::ScopedResource< AbstractShapeBase > Aws::Greengrass::CreateDebugPasswordResponse::s_allocateFromPayload | ( | Aws::Crt::StringView | stringView,
|  | Aws::Crt::Allocator * | allocator
| ) |  |
| staticnoexcept

## ◆ s_customDeleter()

void Aws::Greengrass::CreateDebugPasswordResponse::s_customDeleter | ( | CreateDebugPasswordResponse * | shape | ) |
| staticnoexcept

## ◆ s_loadFromJsonView()

void Aws::Greengrass::CreateDebugPasswordResponse::s_loadFromJsonView | ( | CreateDebugPasswordResponse & | createDebugPasswordResponse,
|  | const Aws::Crt::JsonView & | jsonView
| ) |  |
| staticnoexcept

## ◆ SerializeToJsonObject()

void Aws::Greengrass::CreateDebugPasswordResponse::SerializeToJsonObject | ( | Aws::Crt::JsonObject & | payloadObject | ) | const
| overridevirtualnoexcept

Implements Aws::Eventstreamrpc::AbstractShapeBase.

## ◆ SetCertificateSHA1Hash()

void Aws::Greengrass::CreateDebugPasswordResponse::SetCertificateSHA1Hash | ( | const Aws::Crt::String & | certificateSHA1Hash | ) |
| inlinenoexcept

## ◆ SetCertificateSHA256Hash()

void Aws::Greengrass::CreateDebugPasswordResponse::SetCertificateSHA256Hash | ( | const Aws::Crt::String & | certificateSHA256Hash | ) |
| inlinenoexcept

## ◆ SetPassword()

void Aws::Greengrass::CreateDebugPasswordResponse::SetPassword | ( | const Aws::Crt::String & | password | ) |
| inlinenoexcept

## ◆ SetPasswordExpiration()

void Aws::Greengrass::CreateDebugPasswordResponse::SetPasswordExpiration | ( | const Aws::Crt::DateTime & | passwordExpiration | ) |
| inlinenoexcept

## ◆ SetUsername()

void Aws::Greengrass::CreateDebugPasswordResponse::SetUsername | ( | const Aws::Crt::String & | username | ) |
| inlinenoexcept

## Member Data Documentation

## ◆ MODEL_NAME

const char * Aws::Greengrass::CreateDebugPasswordResponse::MODEL_NAME = "aws.greengrass#CreateDebugPasswordResponse"
| static

The documentation for this class was generated from the following files:

- greengrass_ipc/include/aws/greengrass/GreengrassCoreIpcModel.h
- greengrass_ipc/source/GreengrassCoreIpcModel.cpp